org.apache.jmeter.visualizers

## Class RenderInBrowser

- java.lang.Object
- - org.apache.jmeter.visualizers.SamplerResultTab
  - - org.apache.jmeter.visualizers.RenderInBrowser

- All Implemented Interfaces:
    ResultRenderer

      public class RenderInBrowser
      extends SamplerResultTab
      implements ResultRenderer

  `ResultRenderer` implementation that uses JAVAFX WebEngine to render as browser do
  Since:
    3.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab

      `SamplerResultTab.RowResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab

      `activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderInBrowser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()`
    `void` | `renderResult(SampleResult sampleResult)`
    `protected void` | `showRenderedResponse(java.lang.String response, SampleResult res)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab

      `init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setTextOptimized, setupTabPane`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer

      `init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

- - ### Constructor Detail

    - #### RenderInBrowser

          public RenderInBrowser()

  - ### Method Detail

    - #### renderResult

          public void renderResult(SampleResult sampleResult)

      Specified by:
        `renderResult` in interface `ResultRenderer`

    - #### showRenderedResponse

          protected void showRenderedResponse(java.lang.String response,
                                              SampleResult res)

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `ResultRenderer`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string to be displayed by the ComboBox

    - #### clearData

          public void clearData()

      Specified by:
        `clearData` in interface `ResultRenderer`
      Overrides:
        `clearData` in class `SamplerResultTab`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.